/* file name  : gui/PavotFrame.java
 * authors    : Guillaume Arnaud
 * created    : mar 20 avr 2004 12:10:19 CEST
 * copyright  : 
 *
 * modifications:
 *
 */

package gui;

import java.awt.event.WindowListener;
import java.awt.event.WindowEvent;
import java.awt.Color;

import javax.swing.JFrame;

/** 
 * Generic frame for GUI in Pavot.
 * 
 * @author Guillaume Arnaud
 * @version 1.2
 */
public class PavotFrame implements WindowListener {
    JFrame mainFrame=new JFrame();

    public PavotFrame(){
		// initializes the main frame
		mainFrame.setTitle("");
		mainFrame.setResizable(false);

        mainFrame.addWindowListener(this);
    }


    public void setColor(Color c){
    }

    public void setDesktopPane() {
    }

    public void setVisible(boolean b){
        mainFrame.setVisible(b);
    }

    public void setSize(int w, int h){
        mainFrame.setSize(w,h);
    }

    /////////////////////////
    // Window listeners /////
    /////////////////////////

    public void windowActivated(WindowEvent e){}
    public void windowClosed(WindowEvent e){}
    public void windowClosing(WindowEvent e){System.exit(0);}
    public void windowDeactivated(WindowEvent e){}
    public void windowDeiconified(WindowEvent e){}
    public void windowIconified(WindowEvent e){}
    public void windowOpened(WindowEvent e){}
}

