/* file name  : parser/events/metaevents/MetaPropagationListener.java
 * authors    : Guillaume Arnaud
 * created    : mar 23 mar 2004 17:16:34 CET
 * copyright  : 
 *
 * modifications:
 *
 */
package parser.propagation;


/**
 * This class is an interface for meta propagation events (count the number
 * of propagation).
 *
 * @author Guillaume Arnaud
 * @version 1.0
 */

public interface MetaPropagationListener
{
	
	/** 
	 * Triggered at a MetaPropagationEvent.
	 * 
	 * @param e MetaPropagationEvent
	 */
	public void notifyMetaPropagationListener(MetaPropagationEvent e);
}
