/*
 * SICSTUS CLPFD DEMONSTRATION PROGRAM
 * Purpose   : SEND+MORE=MONEY
 * Author    : Mats Carlsson
 * Adapted by Francois Fages to CLPGUI2.1.3
 */

%%   SEND
%%   MORE
%%  +____
%%  MONEY

:- use_module(library(clpfd)).

sendmore(L):-
	L = [S,E,N,D,M,O,R,Y],
        gui_show_values,
        gui_varnames(L,['S','E','N','D','M','O','R','Y']),
	gui_button(domain(L, 0, 9)),
	gui_button(S #> 0),
	gui_button(M #> 0),
	gui_button(all_different(L)),
	gui_button(
	           1000*S+100*E+10*N+D
        +          1000*M+100*O+10*R+E
        #= 10000*M+1000*O+100*N+10*E+Y),
	gui_button(gui_trace_labeling(L)),
	reverse(L,L2),
	gui_button(gui_trace_labeling(L2)).

