/* file name  : control/ThreadControl.java
 * authors    : Guillaume Arnaud
 * created    : jeu 15 avr 2004 13:20:36 CEST
 * copyright  : 
 *
 * modifications:
 *
 */
package control;

import parser.PropagationSolver;

/** 
 * 
 * 
 * @author Guillaume Arnaud
 * @version 1.0
 */
public class ThreadControl extends Thread{
    
    PropagationSolver propagationSolver;
    
    public ThreadControl(Runnable target){
        super(target);
    }

/*    public ThreadControl(PropagationSolver ps){
        super();
        propagationSolver=ps;
    }*/

    public  void myInterrupt() throws InterruptedException {
        System.out.println("[ThreadControl] my interruption");
        try{this.wait();}
        catch(InterruptedException ex) {System.out.println("[ThreadControl] wait() InterruptedException ");} 
        catch(IllegalMonitorStateException ex2) {System.out.println("[ThreadControl]  wait() IllegalMonitorStateException ");}
        System.out.println("[ThreadControl] waiting...");
    }

    public synchronized void myNotify() {this.notify();}

}
